Bug 956334 - (CVE-2007-6746) CVE-2007-6746 telepathy-idle: does not properly validate SSL certificates
CVE-2007-6746 telepathy-idle: does not properly validate SSL certificates
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130422,repor...
: Security
Depends On: 956335
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-24 13:29 EDT by Vincent Danen
Modified: 2014-06-21 14:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-04-24 13:29:47 EDT
It was reported [1],[2] that telepathy-idle, an IRC backend for the Telepathy framework, did not check the server's SSL/TLS certificate for validity [3].  This could allow an attacker to carry out man-in-the-middle attacks.

This flaw has existed in the source since 2007, and versions 0.1.11 through to 0.1.14 use GLib for TLS, so they did very basic checks on certificates, but did not check that the certificate issuer was a trusted CA, that the identity matched the server's hostname, or that the certificate had not expired.

The forthcoming 0.1.15 release will fix this flaw; a patch is attached to the upstream bug [4].


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=706094
[2] http://www.openwall.com/lists/oss-security/2013/04/24/5
[3] https://bugs.freedesktop.org/show_bug.cgi?id=63810
[4] https://bugs.freedesktop.org/attachment.cgi?id=78341
Comment 2 Vincent Danen 2013-04-24 13:32:34 EDT
Created telepathy-idle tracking bugs for this issue

Affects: fedora-all [bug 956335]
Comment 3 Agostino Sarubbo 2013-04-24 14:23:21 EDT
Typo in the summary: telepath -> telepathy
Comment 4 Jan Lieskovsky 2013-04-25 05:36:25 EDT
(In reply to comment #3)
> Typo in the summary: telepath -> telepathy

Thank you, Agostino.
Comment 5 Jan Lieskovsky 2013-04-30 03:34:17 EDT
The CVE identifier of CVE-2007-6746 has been assigned:
  http://www.openwall.com/lists/oss-security/2013/04/29/19

to this issue.
Comment 6 Fedora Update System 2013-05-02 21:56:57 EDT
telepathy-idle-0.1.15-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.